TermsComponent (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.TermsComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class TermsComponent

    java.lang.Object
      org.apache.solr.handler.component.SearchComponent
          org.apache.solr.handler.component.TermsComponent

All Implemented Interfaces:
  SolrInfoMBean, NamedListInitializedPlugin

    public class TermsComponent

extends SearchComponent

Return TermEnum information, useful for things like auto suggest.

     <searchComponent name="termsComponent" class="solr.TermsComponent"/>

     <requestHandler name="/terms" class="solr.SearchHandler">
       <lst name="defaults">
         <bool name="terms">true</bool>
       </lst>
       <arr name="components">
         <str>termsComponent</str>
       </arr>
     </requestHandler>

Version:
  $Id: TermsComponent.java 1067552 2011-02-05 23:52:42Z koji $
See Also:
  `See Lucene's TermEnum class`

Nested Class Summary
`class` | `TermsComponent.TermsHelper`

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static String` | `COMPONENT_NAME`
`static int` | `UNLIMITED_MAX_COUNT`

Constructor Summary
`TermsComponent()`

Method Summary
`int` | `distributedProcess(ResponseBuilder rb)` Process for a distributed search.
`void` | `finishStage(ResponseBuilder rb)` Called after all responses have been received for this stage.
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `handleResponses(ResponseBuilder rb, ShardRequest sreq)` Called after all responses for a single request were received
`void` | `prepare(ResponseBuilder rb)` Prepare the response.
`void` | `process(ResponseBuilder rb)` Process the request for this component

Methods inherited from class org.apache.solr.handler.component.SearchComponent
`getCategory, getDocs, getName, getStatistics, init, modifyRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNLIMITED_MAX_COUNT

    public static final int UNLIMITED_MAX_COUNT

See Also:
  Constant Field Values

### COMPONENT_NAME

    public static final String COMPONENT_NAME

See Also:
  Constant Field Values

Constructor Detail

### TermsComponent

    public TermsComponent()

Method Detail

### prepare

    public void prepare(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.

  Specified by:
    `prepare` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### process

    public void process(ResponseBuilder rb)
                 throws IOException

  Description copied from class: `SearchComponent`
  Process the request for this component

  Specified by:
    `process` in class `SearchComponent`
  Parameters:
    `rb` - The `ResponseBuilder`
  Throws:
    `IOException`

### distributedProcess

    public int distributedProcess(ResponseBuilder rb)
                           throws IOException

  Description copied from class: `SearchComponent`
  Process for a distributed search.

  Overrides:
    `distributedProcess` in class `SearchComponent`
  Returns:
    the next stage for this component
  Throws:
    `IOException`

### handleResponses

    public void handleResponses(ResponseBuilder rb,
                                ShardRequest sreq)

  Description copied from class: `SearchComponent`
  Called after all responses for a single request were received

  Overrides:
    `handleResponses` in class `SearchComponent`

### finishStage

    public void finishStage(ResponseBuilder rb)

  Description copied from class: `SearchComponent`
  Called after all responses have been received for this stage. Useful when different requests are sent to each shard.

  Overrides:
    `finishStage` in class `SearchComponent`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `SearchComponent`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `SearchComponent`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `SearchComponent`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `SearchComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD